Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.step
Class StepCategory

    java.lang.Object
      org.pentaho.di.trans.step.StepCategory

    public class StepCategory

extends Object

Different types of steps; right now used by the Step annotation

Author:
  Alex Silva

Field Summary
`static StepCategory[]` | `BRIDGE_ANNOTATION_CATEGORY_NUMBERS`
`static StepCategory` | `BULK`
`static int` | `CATEGORY_BULK`
`static int` | `CATEGORY_DATA_WAREHOUSE`
`static int` | `CATEGORY_DEPRECATED`
`static int` | `CATEGORY_EXPERIMENTAL`
`static int` | `CATEGORY_FLOW`
`static int` | `CATEGORY_INLINE`
`static int` | `CATEGORY_INPUT`
`static int` | `CATEGORY_JOB`
`static int` | `CATEGORY_JOINS`
`static int` | `CATEGORY_LOOKUP`
`static int` | `CATEGORY_MAPPING`
`static int` | `CATEGORY_OUTPUT`
`static int` | `CATEGORY_SCRIPTING`
`static int` | `CATEGORY_STATISTICS`
`static int` | `CATEGORY_TRANSFORM`
`static int` | `CATEGORY_USER_DEFINED`
`static int` | `CATEGORY_UTILITY`
`static int` | `CATEGORY_VALIDATION`
`static StepCategory` | `DATA_WAREHOUSE`
`static StepCategory` | `DEPRECATED`
`static StepCategory` | `EXPERIMENTAL`
`static StepCategory` | `FLOW`
`static StepCategory` | `INLINE`
`static StepCategory` | `INPUT`
`static StepCategory` | `JOB`
`static StepCategory` | `JOINS`
`static StepCategory` | `LOOKUP`
`static StepCategory` | `MAPPING`
`static StepCategory` | `OUTPUT`
`static StepCategory` | `SCRIPTING`
`static StepCategory[]` | `STANDARD_CATEGORIES`
`static StepCategory` | `STATISTICS`
`static StepCategory` | `TRANSFORM`
`static StepCategory` | `UTILITY`
`static StepCategory` | `VALIDATION`

Constructor Summary
`StepCategory(String name)`

Method Summary
`String` | `getName()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INPUT

    public static final StepCategory INPUT

### OUTPUT

    public static final StepCategory OUTPUT

### TRANSFORM

    public static final StepCategory TRANSFORM

### SCRIPTING

    public static final StepCategory SCRIPTING

### LOOKUP

    public static final StepCategory LOOKUP

### JOINS

    public static final StepCategory JOINS

### DATA_WAREHOUSE

    public static final StepCategory DATA_WAREHOUSE

### JOB

    public static final StepCategory JOB

### MAPPING

    public static final StepCategory MAPPING

### INLINE

    public static final StepCategory INLINE

### EXPERIMENTAL

    public static final StepCategory EXPERIMENTAL

### DEPRECATED

    public static final StepCategory DEPRECATED

### BULK

    public static final StepCategory BULK

### VALIDATION

    public static final StepCategory VALIDATION

### STATISTICS

    public static final StepCategory STATISTICS

### UTILITY

    public static final StepCategory UTILITY

### FLOW

    public static final StepCategory FLOW

### CATEGORY_USER_DEFINED

    public static final int CATEGORY_USER_DEFINED

See Also:
  Constant Field Values

### CATEGORY_INPUT

    public static final int CATEGORY_INPUT

See Also:
  Constant Field Values

### CATEGORY_OUTPUT

    public static final int CATEGORY_OUTPUT

See Also:
  Constant Field Values

### CATEGORY_TRANSFORM

    public static final int CATEGORY_TRANSFORM

See Also:
  Constant Field Values

### CATEGORY_SCRIPTING

    public static final int CATEGORY_SCRIPTING

See Also:
  Constant Field Values

### CATEGORY_LOOKUP

    public static final int CATEGORY_LOOKUP

See Also:
  Constant Field Values

### CATEGORY_JOINS

    public static final int CATEGORY_JOINS

See Also:
  Constant Field Values

### CATEGORY_DATA_WAREHOUSE

    public static final int CATEGORY_DATA_WAREHOUSE

See Also:
  Constant Field Values

### CATEGORY_JOB

    public static final int CATEGORY_JOB

See Also:
  Constant Field Values

### CATEGORY_MAPPING

    public static final int CATEGORY_MAPPING

See Also:
  Constant Field Values

### CATEGORY_INLINE

    public static final int CATEGORY_INLINE

See Also:
  Constant Field Values

### CATEGORY_EXPERIMENTAL

    public static final int CATEGORY_EXPERIMENTAL

See Also:
  Constant Field Values

### CATEGORY_DEPRECATED

    public static final int CATEGORY_DEPRECATED

See Also:
  Constant Field Values

### CATEGORY_BULK

    public static final int CATEGORY_BULK

See Also:
  Constant Field Values

### CATEGORY_VALIDATION

    public static final int CATEGORY_VALIDATION

See Also:
  Constant Field Values

### CATEGORY_STATISTICS

    public static final int CATEGORY_STATISTICS

See Also:
  Constant Field Values

### CATEGORY_UTILITY

    public static final int CATEGORY_UTILITY

See Also:
  Constant Field Values

### CATEGORY_FLOW

    public static final int CATEGORY_FLOW

See Also:
  Constant Field Values

### BRIDGE_ANNOTATION_CATEGORY_NUMBERS

    public static final StepCategory[] BRIDGE_ANNOTATION_CATEGORY_NUMBERS

### STANDARD_CATEGORIES

    public static final StepCategory[] STANDARD_CATEGORIES

Constructor Detail

### StepCategory

    public StepCategory(String name)

Method Detail

### getName

    public String getName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD